Bug 987567 - SPNEGO config example uses invalid login-module (UserRoles)
SPNEGO config example uses invalid login-module (UserRoles)
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: EAP 6.1.1
Assigned To: Russell Dickenson
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-23 12:37 EDT by Chris Dolphy
Modified: 2014-08-14 11:24 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Build: CSProcessor Builder Version 1.11 Build Name: 13944, Security Guide-6.1-2 Build Date: 12-07-2013 01:28:12 Topic ID: 5053-328484 [Specified]
Last Closed: 2013-09-16 16:39:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chris Dolphy 2013-07-23 12:37:25 EDT
Title: EJB Security Parameter Reference

Describe the issue:
Bad example configuration in SPNEGO section of Security Guide for EAP 6.1 (section 13.8) under Procedure 13.1 step 2.

It says: 
      <login-module code="UserRoles" flag="required">
      ...
But the valid code is UsersRoles (with an 's' after User)

Suggestions for improvement:
Change the example.

Additional information:

Documentation issue is here:
https://access.redhat.com/site/documentation/en-US/JBoss_Enterprise_Application_Platform/6.1/html-single/Security_Guide/index.html#Configure_Kerberos_or_Microsoft_Active_Directory_Desktop_SSO_for_Web_Applications
Comment 1 Misty Stanley-Jones 2013-07-24 23:03:48 EDT
Actually this is topic 4937. Fixed in revision 481766. This will be set to ON_QA when the changes are ready for review.

Please click the Report a Bug link from the correct topic, to avoid confusion in the future. Thanks! :)
Comment 4 Ondrej Lukas 2013-09-02 03:37:24 EDT
Verified on stage.

Note You need to log in before you can comment on or make changes to this bug.